#ifndef Unit1H
#define Unit1H
/*==============================================================================

       Creating a Tray Icon Program
       Copyright  2002 - Pankhurst Algorithmics
       permission is granted to freely use/modify this code

==============================================================================*/
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
/*==============================================================================

       A-define a user message to notify you of tray interactions

==============================================================================*/
#define WM_TRAY_ICON_MESSAGE (WM_USER+1997)
//---------------------------------------------------------------------------
#define WM_TRAY_ICON_ID (9)
//---------------------------------------------------------------------------
class TForm1 : public TForm
{

  __published:	// IDE-managed Components

    TButton *BUTTON_ADDTRAYICON;
    TButton *BUTTON_DELETETRAYICON;
    TButton *BUTTON_HIDE;
    TPopupMenu *PopupMenu1;
    TMenuItem *SHORTCUT_OPEN;
    TMenuItem *SHORTCUT_QUIT;
    TMenuItem *x;
    TButton *BUTTON_CLOSE;
    TTimer *Timer1;
    TImage *Image1;
    TImage *Image2;
    void __fastcall BUTTON_ADDTRAYICONClick(TObject *Sender);
    void __fastcall BUTTON_DELETETRAYICONClick(TObject *Sender);
    void __fastcall BUTTON_HIDEClick(TObject *Sender);
    void __fastcall BUTTON_CLOSEClick(TObject *Sender);
    void __fastcall Timer1Timer(TObject *Sender);
    void __fastcall SHORTCUT_QUITClick(TObject *Sender);
    void __fastcall SHORTCUT_OPENClick(TObject *Sender);

  protected:

    BEGIN_MESSAGE_MAP
      MESSAGE_HANDLER(WM_TRAY_ICON_MESSAGE,TMessage,TrayIcon_HandleMessage)
    END_MESSAGE_MAP(TForm)

  private:	// User declarations

    void TrayIcon_Create(const char *tipText,HICON hIcon);
    void TrayIcon_Delete(void);
    void TrayIcon_HandleMessage(TMessage &Message);
    void TrayIcon_ModifyTip(const char *tipText);
    void TrayIcon_ModifyIcon(HICON hIcon);

  public:		// User declarations

    __fastcall TForm1(TComponent* Owner);
    __fastcall ~TForm1(void);

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 